<?php

class ControladorProducto{

    public static function ctrAumentarCostoIVA($productos){
        foreach($productos as $key => $producto) {
            $productos[$key]['list_price_iva'] = $producto['list_price'] * 1.16;
        }
        return $productos;
    }

    public static function ctrVerificarProductosYaVinculados($productos, $productos_odoo){
        foreach($productos as $key => $producto) {
            foreach($productos_odoo as $producto_odoo) {
                if($producto['id'] == $producto_odoo['id_producto_odoo']) {
                    $productos[$key]['agregado'] = true;
                    break;
                }
            }
        }
        return $productos;
    }
}